Subject: [CDNi] Questions on draft-previdi-cdni-footprint-advertisement-00

From: Jan Seedorf <[email-masked]>
Date: Tue, 28 Feb 2012 16:14:56 +0000

Dear authors of the BGP CDNI Footprint Advertisement draft,

I have some questions, maybe you can clarify:
-- BGP communities are currently used per AS, e.g. 100:500 means AS 100 is attaching a value of 100 to a given route. In your scheme, do you intend to use communities per footprint identifier, e.g. 100:200:300 means AS 100 is attaching a value of 300 for footprint identifier 100:200?
-- section 4.2.3 says " The CDNI Connectivity Advertisement contains a new (TBD) attribute called Origin_AS_PATH that contains the AS_PATH value describing the distance (expressed in AS Hop Count) between the CDN and the advertised connected footprint."; in the examples in section 7, however, Origin_AS_PATH is not the AS hop count but the ID of the source AS; I assume it is a mistake in the example, correct?
-- in your scheme, how can you explicitly express costs (e.g. latency, bandwidth, monetary costs, ...) to a certain footprint identifier? I understand a ranking, but it is not clear to me how you express explicit costs. Via an extended community value per footprint identifier?
-- what is confusing to me is that original BGP connectivity refers to AS-level routing, while CDN connectivity to me is (in principle) quite independent from AS-level routing. For instance, I can very well imagine 2 CDNs which have a direct bilateral CDN-interconnection agreement, but which have many AS-hops between their footprints. So the connectivity via AS-level BGP footprints is very confusing to me. Maybe you can explain it.

Thanks for answering,

 - Jan

---

From: stefano previdi <[email-masked]>
Date: Tue, 28 Feb 2012 18:55:09 +0100

Hi Jan,

I'm in the process of submitting version 01 which has some changes in 
terminology and encoding options. I'll try to address your questions 
below.

On Feb 28, 2012, at 5:14 PM, Jan Seedorf wrote:
> -- BGP communities are currently used per AS, e.g. 100:500 means AS 100 is attaching a value of 100 to a given route.

to be more precise, in your example AS100 is attaching a value of 500.

> In your scheme, do you intend to use communities per footprint identifier, e.g. 100:200:300 means AS 100 is attaching a value of 300 for footprint identifier 100:200?

not really. We propose the use of BGP Extended community (RFC4360) for 
FPE Identifiers.

> -- section 4.2.3 says " The CDNI Connectivity Advertisement contains a new (TBD) attribute called Origin_AS_PATH that contains the AS_PATH value describing the distance (expressed in AS Hop Count)…

nope, the example is correct. AS_PATH Attribute in BGP contains the list 
of AS# the update traversed. AS hop-count is computed when you process 
the update.

Origin_AS_PATH has the same format.

> -- in your scheme, how can you explicitly express costs (e.g. latency, bandwidth, monetary costs, ...) to a certain footprint identifier? I understand a ranking, but it is not clear to me how you e…

BGP distane is based on AS hop-count. THere's no topology involved (as you 
rarely exchange topology between ASs).

However, nothing prevents to use BGP attributes (MED, Communities) in order
to represent preferences that could also be based on costs.

> -- what is confusing to me is that original BGP connectivity refers to AS-level routing, while CDN connectivity to me is (in principle) quite independent from AS-level routing.

We use a tool called BGP but we use it in the CDNI context. 

So, the messaging and the signaling will reflect the shape of the CDNI Mesh 
and not the Internet mesh.

> For instance, I can very well imagine 2 CDNs which have a direct bilateral CDN-interconnection agreement, but which have many AS-hops between their footprints. So the connectivity via AS-level BGP footprints is very confusing to me. Maybe you can explain it.

AS number (in the CDNI context) refers to the CDN using such AS number. 
The different CDN BGP sessions you will have will tell you about all CDN 
interconnectivity. This is not related to the underneath inter-AS 
connectivity.

In the new draft I also include a topology example that, hopefully, will
help...

s.

---

From: stefano previdi <[email-masked]>
Date: Tue, 28 Feb 2012 18:59:36 +0100

<resending with correct authors email>

On Feb 28, 2012, at 6:55 PM, stefano previdi wrote:

Hi Jan,

s.